pcl::recognition::ORROctreeZProjection::Pixel Class Reference

`#include <pcl/recognition/ransac_based/orr_octree_zprojection.h>`

## Public Member Functions

| Pixel (int id)
void | set_z1 (float z1)
void | set_z2 (float z2)
float | z1 () const
float | z2 () const
int | getId () const

## Protected Attributes

float | z1_
float | z2_
int | id_

## Detailed Description

Definition at line 63 of file orr_octree_zprojection.h.

## Constructor & Destructor Documentation

pcl::recognition::ORROctreeZProjection::Pixel::Pixel | ( | int | id | ) |

inline

Definition at line 66 of file orr_octree_zprojection.h.

## Member Function Documentation

int pcl::recognition::ORROctreeZProjection::Pixel::getId | ( |  | ) | const

inline

Definition at line 81 of file orr_octree_zprojection.h.

void pcl::recognition::ORROctreeZProjection::Pixel::set_z1 | ( | float | z1 | ) |

inline

Definition at line 69 of file orr_octree_zprojection.h.

void pcl::recognition::ORROctreeZProjection::Pixel::set_z2 | ( | float | z2 | ) |

inline

Definition at line 72 of file orr_octree_zprojection.h.

float pcl::recognition::ORROctreeZProjection::Pixel::z1 | ( |  | ) | const

inline

Definition at line 75 of file orr_octree_zprojection.h.

float pcl::recognition::ORROctreeZProjection::Pixel::z2 | ( |  | ) | const

inline

Definition at line 78 of file orr_octree_zprojection.h.

## Member Data Documentation

int pcl::recognition::ORROctreeZProjection::Pixel::id_

protected

Definition at line 85 of file orr_octree_zprojection.h.

float pcl::recognition::ORROctreeZProjection::Pixel::z1_

protected

Definition at line 84 of file orr_octree_zprojection.h.

float pcl::recognition::ORROctreeZProjection::Pixel::z2_

protected

Definition at line 84 of file orr_octree_zprojection.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/recognition/include/pcl/recognition/ransac_based/orr_octree_zprojection.h